Packages - Bug #3427

[acpi_call][acpi_call-lts][acpi_call-dkms]: Need to be rebuilt for basekernel 6.1.5-1
2023-01-16 10:06 AM - h.ueno

Status: fixed % Done: 40%
Priority: bug

Assignee: bill-auger

Category:

Description

As the version of linux-libre and linux-libre-headers has become 6.1.5-1, it is necessary to rebuild acpi_call.

History

#1 - 2023-01-16 10:23 AM - wael
- % Done changed from 0 to 40

- Status changed from unconfirmed to confirmed
Confirmed, waiting for Parabola hackers to rebuild.

#2 - 2023-01-16 11:00 AM - bill-auger

- Subject changed from [acpi_call] Need to be rebuilt for basekernel 6.1.5-1 to [acpi_call]facpi_call-Its][acpi_call-dkms]: Need to be rebuilt for
basekernel 6.1.5-1

#3 - 2023-01-16 11:16 AM - h.ueno
I don't know if it's okay to ask here, but I'm sorry if I'm confusing you.

| previously needed a rebuild for 5.18 and created a ticket below (it says "in progress" but the task seems to be complete)
https://labs.parabola.nu/i 24

In this ticket, | received a reply from Mr. bill-auger that tp_smapi and tp_smapi-Its also need to be rebuilt.
Should | register tp_smapi and tp_smapi-lts as separate tickets? | just checked the packages and they are both built for 5.18.

#4 - 2023-01-16 08:48 PM - bill-auger

the tp_* (thinkpad) packages are in the same routine set - it is
not important which are mentioned by name - to mention that any
need a rebuild, implies the others

#5 - 2023-01-16 11:46 PM - h.ueno

I see! Thank you for your explanation.
| use a VAIO so | don't seem to have the tp package problem, but | got a slightly older ThinkPad (X270) and was planning to install Parabola on that
soon as well!

#6 - 2023-01-17 02:01 AM - bill-auger
- Assignee set to bill-auger

- Status changed from confirmed to in progress

could ppl verify that the replacements in libre-testing work? - i dont know how to test these - closing a laptop lid maybe?

# pacman -U https://repo.parabola.nu/pool/parabola/acpi_call-1.2.2-40.parabolal.basekernel6.1.5-x86_64.pkg.tar
.zst \

https://repo.parabola.nu/pool/parabola/acpi_call-dkms-1.2.2-1.parabolal.basekernel6.1.5-x86_64.pkg
.tar.zst \

https://repo.parabola.nu/pool/parabola/tp_smapi-0.43-364.parabolal.basekernel6.1.5-x86_64.pkg.tar.
zst

or cherry-pick them
https://repo.parabola.nu/pool/parabola/acpi_call-1.2.2-40.parabolal.basekernel6.1.5-x86_64.pkg.tar.zst \
https://repo.parabola.nu/pool/parabola/acpi caII dkms-1.2.2-1.parabolai basekernel6 1.5-x86_64.pkg.tar.zst \
https://labs.parabola.nu/issues/3324
https://repo.parabola.nu/pool/parabola/acpi_call-1.2.2-40.parabola1.basekernel6.1.5-x86_64.pkg.tar.zst
https://repo.parabola.nu/pool/parabola/acpi_call-dkms-1.2.2-1.parabola1.basekernel6.1.5-x86_64.pkg.tar.zst
https://repo.parabola.nu/pool/parabola/tp_smapi-0.43-364.parabola1.basekernel6.1.5-x86_64.pkg.tar.zst

#7 - 2023-01-20 03:30 AM - bill-auger

- Status changed from in progress to fixed
